- Qt 6.4
- Qt 3D
- Qt3DCore Namespace
- Qt 6.4.3 Reference Documentation

# Qt3DCore Namespace

Contains classes that are the foundation for Qt 3D simulation framework, as well as classes that provide the ability to render using the Qt 3D framework. More...

Header: | #include <Qt3DCore>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore

## Namespaces

namespace | Quick

## Functions

int | qHash(int id, int seed)

## Detailed Description

## Namespaces

### namespace Qt3DCore::Quick

## Function Documentation

### int qHash(int id, int seed)

Returns hash of node with id and optional seed.